﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace k_thermo_pid
{
    public partial class Form3 : Form
    {
        public delegate void RefreshEventHandler(object sender, EventArgs e);
        [Category("動作")]
        [Description("情報を更新するときに発生するイベント。")]
        public event RefreshEventHandler RefreshEvent;

        public delegate void CloseEventHandler(object sender, EventArgs e);
        [Category("動作")]
        [Description("ダイアログを閉じたときに発生するイベント。")]
        public event CloseEventHandler CloseEvent;

        public Form3()
        {
            InitializeComponent();
        }

        private void Set_Click(object sender, EventArgs e)
        {

            int to_fr = int.Parse(upper.Text) - int.Parse(lower.Text);
            if (to_fr <= 0)
            {
                MessageBox.Show("上限＞下限に設定しましょう。", "エラー",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }


            this.RefreshEvent(this, new EventArgs());
            this.Close();
        }

        private void Form3_FormClosing(object sender, FormClosingEventArgs e)
        {
            this.CloseEvent(this, new EventArgs());
        }

        private void ue(object sender, KeyPressEventArgs e)
        {
            if (char.IsControl(e.KeyChar) || char.IsDigit(e.KeyChar))
            {
                e.Handled = false;
                return;
            }

            e.Handled = true;

        }

        private void shita(object sender, KeyPressEventArgs e)
        {
            if (char.IsControl(e.KeyChar) || char.IsDigit(e.KeyChar))
            {
                e.Handled = false;
                return;
            }

            e.Handled = true;

        }

    }
}
